import { CardActivationOrPinUpdateEventCodeType, ID, Token } from '@zeniai/client-epic-state';
interface ChangePinPopupProps {
    cardProviderID: ID;
    isSandboxEnv: boolean;
    vgsVaultId: string;
    signedInUserToken?: Token;
    onCancelClick: () => void;
    onChangePinSuccess: () => void;
    onUpdateDebitCardPinAttempt: (statusCode: CardActivationOrPinUpdateEventCodeType) => void;
}
export declare function ChangePinPopup({ isSandboxEnv, cardProviderID, vgsVaultId, signedInUserToken, onCancelClick, onUpdateDebitCardPinAttempt, onChangePinSuccess, }: ChangePinPopupProps): import("react/jsx-runtime").JSX.Element;
/**
 * Dimensions
 */
export declare const ConfirmationPopUpTitle: import('@emotion/styled').StyledComponent<{
    theme?: import('@emotion/react').Theme;
    as?: React.ElementType;
} & import('react').ClassAttributes<HTMLDivElement> & import('react').HTMLAttributes<HTMLDivElement> & {
    theme?: import('@emotion/react').Theme;
}, {}, {}>;
export {};
